#include <stdio.h>

int main()
{
	int p;
	
	char c1[2];
	char c2[2];
	
	int a1,a2;
	
    scanf("%c %c",c1,c2);
    
    scanf("%d %d",&a1,&a2);
	
	int i;
	
	if(a1>=a2)
	{
	    if(a2+1<a1)
	    {
	    	printf("nemoguce");
		}
		else
		{
			for(i=0;i<a1;i++)
			{
				printf("%s",c1);
				if(i<a2)
				{
					printf("%s",c2);
				}
			}
		}
	}
	else
	{
		if(a1+1<a2)
		{
			printf("nemoguce");
		}
		else
		{
			for(i=0;i<a2;i++)
			{
				printf("%s",c2);
				if(i<a1)
				{
					printf("%s",c1);
				}
			}
		}
	}
	
	return 0;
}